Get invoice using specific key.

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

invoice
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

internal_number

Internal number to identify the invoice

string
company_id

Foreign key to company, identifies the company of the invoice

globally unique identifier
company_code

Company code of the invoice

string
company_name

Company name of the invoice

string
date_create

Invoice creation date in utc

date
memo

Memo field for invoice

string
description

Decription field for invoice

string
invoice_type

Invoice type, possible values “ContractGenerated“ and “WorkOrderApproval“

string
source_type

Source of invoice, refers to the type of the object from which invoice is derived

string
source_id_in_table

Key of the object from which the invoice is derived

globally unique identifier
total_lines

Total amount of lines linked to the invoice

integer
total_amount

Total value of items in lines linked to the invoice

decimal number
db_currency_id

Key of db_currency entity, identifies the db_currency of the invoice

globally unique identifier
total_taxes

Total taxes

decimal number
due_date

The due date

date
source_db_table_name

The name of db table

string
delivery_name

The delivery name

string
delivery_street

The street for delivery

string
delivery_city

The city for delivery

string
delivery_zip

The zip for delivery

string
delivery_db_country_name

The country name for delivery

string
reference_back_office

Reference data for back office

string
db_payment_method_id

Payment method id

globally unique identifier
id2

id for internal

integer
customer_remarks

Customer remarks

string
bill_to_party

The bill to party

string
bill_to_contact_id

Contact id for bill

globally unique identifier
contact_id

Contact id of invoice

globally unique identifier
article_price_label_id

Article price label id

globally unique identifier
db_language_id

The language id

globally unique identifier
invoice_status_id

The status id of invoice

globally unique identifier
invoice_status_name

The status name of invoice

string
discount_group_id

The id of discount group

globally unique identifier
discount

Discount value

decimal number
email

The email

string
invoice_number

Invoice number

string
bill_to_company_id

Company id for bill

globally unique identifier
dateutc_confirmation

The confirmation date (UTC)

date
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "84acbafc-2638-42f4-b81a-6a9c21ab0be9",
  "internal_number": "sample string 2",
  "company_id": "d93d83b4-3804-41c4-a6ea-f3420d5d1077",
  "company_code": "sample string 4",
  "company_name": "sample string 5",
  "date_create": "2026-10-30T01:50:36.0388552+00:00",
  "memo": "sample string 7",
  "description": "sample string 8",
  "invoice_type": "sample string 9",
  "source_type": "sample string 10",
  "source_id_in_table": "860dd11c-153e-4f6a-a4c3-0aed43749306",
  "total_lines": 12,
  "total_amount": 13.0,
  "db_currency_id": "5e325cbe-119b-456e-a5bd-a144ee6bdd72",
  "total_taxes": 15.0,
  "due_date": "2026-10-30T01:50:36.0388552+00:00",
  "source_db_table_name": "sample string 17",
  "delivery_name": "sample string 18",
  "delivery_street": "sample string 19",
  "delivery_city": "sample string 20",
  "delivery_zip": "sample string 21",
  "delivery_db_country_name": "sample string 22",
  "reference_back_office": "sample string 23",
  "db_payment_method_id": "e5d6d139-8e45-422b-97e0-7ea373c032d8",
  "id2": 25,
  "customer_remarks": "sample string 26",
  "bill_to_party": "sample string 27",
  "bill_to_contact_id": "7ced36f2-5396-49dd-9d7e-cd7f3c8c62c3",
  "contact_id": "028be4e7-0ebb-4261-bf37-5263b99184e5",
  "article_price_label_id": "2c084c0d-e26a-4704-bcea-b0ebd1f92de5",
  "db_language_id": "a61ee5a3-df71-45e1-83fe-4d368d118ab9",
  "invoice_status_id": "b4ee17a7-04d8-46d5-8807-d5e2882224b2",
  "invoice_status_name": "sample string 33",
  "discount_group_id": "d85f391d-2026-4dae-889d-541d572d8de5",
  "discount": 35.0,
  "email": "sample string 36",
  "invoice_number": "sample string 37",
  "bill_to_company_id": "5292bc6a-1efe-4f26-9ae9-6b9b7126764f",
  "dateutc_confirmation": "2026-10-30T01:50:36.0388552+00:00",
  "modified_dateutc": "2026-10-30T01:50:36.0388552+00:00"
}